import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'apply' },
})
export class Apply extends BaseModel {
  @prop({ required: false, index: true, zh: '用户' })
  user: string;
  @prop({ required: false, index: true, zh: '公证员' })
  admin: string;
  @prop({ required: false, index: true, zh: '业务' })
  business: string;
  @prop({ required: false, index: false, zh: '材料' })
  material: object;
  @prop({ required: false, index: true, zh: '类型' })
  type: string;
  @prop({ required: false, index: false, zh: '地址' })
  address: string;
  @prop({ required: false, index: false, zh: '签字' })
  sign: Array<any>;
  @prop({ required: false, index: false, zh: '人脸识别' })
  face: Array<any>;
  @prop({ required: false, index: false, zh: '支付信息' })
  pay: object;
  @prop({ required: false, index: false, zh: '证书' })
  certificate: Array<any>;
  @prop({ required: false, index: false, zh: '意见' })
  opinion: string;
  @prop({ required: false, index: false, zh: '时间' })
  time: string;
  @prop({ required: false, index: false, zh: '状态' })
  status: string;
}
