import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'chat' },
})
export class Chat extends BaseModel {
  @prop({ required: false, index: true, zh: '用户', ref: 'user' })
  user: string;
  @prop({ required: false, index: false, zh: '发言人' })
  speaker: string;
  @prop({ required: false, index: false, zh: '内容' })
  content: string;
  @prop({ required: false, index: false, zh: '创建时间' })
  time: string;
  @prop({ required: false, index: false, zh: '类型', default: '0' })
  msg_type: string;
  @prop({ required: false, index: false, zh: '是否已读', default: '0' })
  is_read: string;
}
