import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'path' },
})
export class Path extends BaseModel {
  @prop({ required: false, index: true, zh: '名称' })
  name: string;
  @prop({ required: false, index: false, zh: '图标' })
  icon: Array<any>;
  @prop({ required: false, index: true, zh: '排序' })
  sort: number;
  @prop({ required: false, index: false, zh: '备注' })
  remark: string;
  @prop({ required: false, index: true, zh: '是否使用', default: '0' })
  is_use: string;
}
