import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'personnel' },
})
export class Personnel extends BaseModel {
  @prop({ required: false, index: false, zh: '头像' })
  logo: Array<any>;
  @prop({ required: false, index: true, zh: '姓名' })
  name: string;
  @prop({ required: false, index: true, zh: '性别' })
  gender: string;
  @prop({ required: false, index: false, zh: '出生年月' })
  birth: string;
  @prop({ required: false, index: false, zh: '学历' })
  education: string;
  @prop({ required: false, index: false, zh: '专业' })
  speciality: string;
  @prop({ required: false, index: false, zh: '职务' })
  zw: string;
  @prop({ required: false, index: false, zh: '职称' })
  zc: string;
  @prop({ required: false, index: false, zh: '执业证号' })
  number: string;
  @prop({ required: false, index: false, zh: '工作经历' })
  work: Array<any>;
  @prop({ required: false, index: false, zh: '简介' })
  brief: string;
  @prop({ required: false, index: true, zh: '是否使用', default: '0' })
  is_use: string;
}
