import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'module' },
})
export class Module extends BaseModel {
  @prop({ required: false, index: true, zh: '标题' })
  title: string;
  @prop({ required: false, index: false, zh: '图片' })
  file: Array<any>;
  @prop({ required: false, index: false, zh: '简介' })
  brief: string;
  @prop({ required: false, index: false, zh: '路由' })
  route: string;
  @prop({ required: false, index: true, zh: '排序' })
  sort: number;
  @prop({ required: false, index: true, zh: '是否使用' })
  is_use: string;
}
