import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'user' },
})
export class User extends BaseModel {
  @prop({ required: false, index: false, zh: '微信小程序id' })
  openid: string;
  @prop({ required: false, index: false, zh: '昵称' })
  nickname: string;
  @prop({ required: false, index: false, zh: '姓名' })
  name: string;
  @prop({ required: false, index: false, zh: '身份证号' })
  card: string;
  @prop({ required: false, index: false, zh: '电话' })
  phone: string;
  @prop({ required: false, index: false, zh: '身份证正面' })
  fileOne: Array<any>;
  @prop({ required: false, index: false, zh: '身份证反面' })
  fileTwo: Array<any>;
}
