import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Apply } from '../../entity/core/apply.entity';
type modelType = ReturnModelType<typeof Apply>;
@Provide()
export class ApplyService extends BaseService<modelType> {
  @InjectEntityModel(Apply)
  model: modelType;
}
