import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Business } from '../../entity/core/business.entity';
type modelType = ReturnModelType<typeof Business>;
@Provide()
export class BusinessService extends BaseService<modelType> {
  @InjectEntityModel(Business)
  model: modelType;
}
