import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Address } from '../../entity/system/address.entity';
type modelType = ReturnModelType<typeof Address>;
@Provide()
export class AddressService extends BaseService<modelType> {
  @InjectEntityModel(Address)
  model: modelType;
}
