import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'business' },
})
export class Business extends BaseModel {
  @prop({ required: false, index: true, zh: '名称' })
  name: string;
  @prop({ required: false, index: false, zh: '内容' })
  content: string;
  @prop({ required: false, index: false, zh: '收费标准' })
  money: string;
  @prop({ required: false, index: false, zh: '收费依据' })
  basic: string;
  @prop({ required: false, index: false, zh: '邮费', default: '0' })
  postage: string;
  @prop({ required: false, index: false, zh: '所需材料' })
  material: Array<any>;
  @prop({ required: false, index: false, zh: '类型' })
  type: string;
  @prop({ required: false, index: true, zh: '是否使用', default: '0' })
  is_use: string;
}
