import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'address' },
})
export class Address extends BaseModel {
  @prop({ required: false, index: false, zh: '用户' })
  user: string;
  @prop({ required: false, index: false, zh: '收货人' })
  name: string;
  @prop({ required: false, index: false, zh: '收货人联系电话' })
  phone: string;
  @prop({ required: false, index: false, zh: '省份' })
  province: string;
  @prop({ required: false, index: false, zh: '城市' })
  city: string;
  @prop({ required: false, index: false, zh: '区' })
  area: string;
  @prop({ required: false, index: false, zh: '详细地址' })
  address: string;
  @prop({ required: false, index: false, zh: '是否默认', default: '0' })
  is_default: string;
}
