import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'config' },
})
export class Config extends BaseModel {
  @prop({ required: false, index: false, zh: 'logo' })
  logo: Array<any>;
  @prop({ required: false, index: false, zh: '首页轮播' })
  file: Array<any>;
  @prop({ required: false, index: false, zh: '联系电话' })
  phone: string;
  @prop({ required: false, index: false, zh: '邮箱' })
  email: string;
  @prop({ required: false, index: false, zh: '地址' })
  address: string;
  @prop({ required: false, index: false, zh: '工作时间' })
  time: string;
  @prop({ required: false, index: false, zh: '平台简介' })
  brief: string;
  @prop({ required: false, index: false, zh: '办证须知' })
  notice: string;
  @prop({ required: false, index: false, zh: '用户协议', remark: '' })
  agreement: string;
}
