import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Path } from '../../entity/core/path.entity';
type modelType = ReturnModelType<typeof Path>;
@Provide()
export class PathService extends BaseService<modelType> {
  @InjectEntityModel(Path)
  model: modelType;
}
